Bug 189319 - up2date doesn't honor --arch flag
up2date doesn't honor --arch flag
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 00:18 EDT by Ask Bjørn Hansen
Modified: 2010-10-26 07:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 09:06:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ask Bjørn Hansen 2006-04-19 00:18:39 EDT
Description of problem:

[root@x16 ~]# rpm -qa --queryformat '%{NAME}-%{VERSION} %{ARCH}\n' | grep gdbm-devel
gdbm-devel-1.8.0 x86_64

[root@x16 ~]# up2date -i -vv --arch=i386 gdbm-devel
D: logininfo: {'X-RHN-Server-Id': 1006192069, 'X-RHN-Auth-Server-Time': '1145420607.67', 'X-RHN-
Auth': '8YIqlSOkKbA9Er63MyoIzg==', 'X-RHN-Auth-Channels': [['rhel-x86_64-as-4', 
'20060418070927', '1', '1']], 'X-RHN-Auth-User-Id': '', 'X-RHN-Auth-Expire-Offset': '3600.0'}
D: availablePackageList::channels: <up2date_client.rhnChannel.rhnChannelList instance at 
0x2a9ae0a830>
D: listPackages Fetched via: diskcache
D: obsoletesList::channels: <up2date_client.rhnChannel.rhnChannelList instance at 0x2a9ae0a830>

Fetching Obsoletes list for channel: rhel-x86_64-as-4...
D: getObsoletes Fetched via: diskcache

Fetching rpm headers...
########################################

Name                                    Version        Rel     
----------------------------------------------------------


The following packages you requested are already updated:
gdbm-devel

(same result running --get)

Version-Release number of selected component (if applicable):

up2date 4.4.67

How reproducible:

Every time.


Expected results:

Installation of the i386 version of the package.


Additional info:

up2date queries RHN through a RHN Proxy system.
Comment 1 Red Hat Bugzilla 2007-04-11 20:38:30 EDT
User bnackash@redhat.com's account has been closed
Comment 3 Jan Pazdziora 2010-07-26 09:06:38 EDT
The issue seems to be fixed with up2date 4.8.*, registered against Satellite 5.3.0.

[root@vmware153 ~]# rpm -q --queryformat '%{NAME}-%{VERSION} %{ARCH}\n' gdbm-devel
gdbm-devel-1.8.0 x86_64
[root@vmware153 ~]# up2date -i -vv --arch=i386 gdbm-devel
D: logininfo: {'X-RHN-Server-Id': 1000029629, 'X-RHN-Auth-Server-Time': '1280149375.17', 'X-RHN-Auth': '6l4DH7DT/d9gQIAL4YT3Pw==', 'X-RHN-Auth-Channels': [['rhel-x86_64-as-4', '20100721054318', '1', '1']], 'X-RHN-Auth-User-Id': '', 'X-RHN-Auth-Expire-Offset': '3600.0'}
D: availablePackageList::channels: <up2date_client.rhnChannel.rhnChannelList instance at 0x2a9c3b14d0>
D: listPackages Fetched via: diskcache
D: obsoletesList::channels: <up2date_client.rhnChannel.rhnChannelList instance at 0x2a9c3b14d0>

Fetching Obsoletes list for channel: rhel-x86_64-as-4...
D: getObsoletes Fetched via: diskcache
D: obsoletesList is :  ...

...

Fetching rpm headers...
########################################

Name                                    Version              Rel               Arch
----------------------------------------------------------------------------------------
gdbm-devel                              1.8.0               24                  i386  
No advisory information available


D: Called dryRun [['gdbm-devel', '1.8.0', '24', '', 'i386', '36207', 'rhel-x86_64-as-4']]
D: obsoletesList::channels: <up2date_client.rhnChannel.rhnChannelList instance at 0x2a9c3b14d0>
D: getObsoletes Fetched via: diskcache
D: obsoletesList is :  ...
D: add instance class name up2date
D: Removing package (['kernel', '2.6.9', '89.0.26.EL', '', 'x86_64', '14442807', 'rhel-x86_64-as-4'], 'Pkg name/pattern')
D: Removing package (['kernel-devel', '2.6.9', '89.0.26.EL', '', 'x86_64', '4151129', 'rhel-x86_64-as-4'], 'Pkg name/pattern')
D: Removing package (['kernel-doc', '2.6.9', '89.0.26.EL', '', 'noarch', '2377259', 'rhel-x86_64-as-4'], 'Pkg name/pattern')
D: Removing package (['kernel-hugemem-devel', '2.6.9', '5.EL', '', 'i686', '3751363', 'rhel-x86_64-as-4'], 'Pkg name/pattern')
D: Removing package (['kernel-ib', '1.0', '1', '', 'x86_64', '67969', 'rhel-x86_64-as-4'], 'Pkg name/pattern')
D: Removing package (['kernel-largesmp', '2.6.9', '89.0.26.EL', '', 'x86_64', '13811001', 'rhel-x86_64-as-4'], 'Pkg name/pattern')
D: Removing package (['kernel-largesmp-devel', '2.6.9', '89.0.26.EL', '', 'x86_64', '4176885', 'rhel-x86_64-as-4'], 'Pkg name/pattern')
D: Removing package (['kernel-smp', '2.6.9', '89.0.26.EL', '', 'x86_64', '13637095', 'rhel-x86_64-as-4'], 'Pkg name/pattern')
D: Removing package (['kernel-smp-devel', '2.6.9', '89.0.26.EL', '', 'x86_64', '4165594', 'rhel-x86_64-as-4'], 'Pkg name/pattern')
D: Removing package (['kernel-utils', '2.4', '20.el4', '1', 'x86_64', '1141104', 'rhel-x86_64-as-4'], 'Pkg name/pattern')
D: Removing package (['kernel-xenU', '2.6.9', '89.0.26.EL', '', 'x86_64', '4188576', 'rhel-x86_64-as-4'], 'Pkg name/pattern')
D: Removing package (['kernel-xenU-devel', '2.6.9', '89.0.26.EL', '', 'x86_64', '3990783', 'rhel-x86_64-as-4'], 'Pkg name/pattern')

Testing package set / solving RPM inter-dependencies...
D: DependencySolver::setup() working with pkgset = [['gdbm-devel', '1.8.0', '24', '', 'i386', '36207', 'rhel-x86_64-as-4']]
D: Candidates for the selected list: [['gdbm-devel', '1.8.0', '24', '', 'i386', '36207', 'rhel-x86_64-as-4']]
D: ['gdbm-devel', '1.8.0', '24', '', 'i386', '36207', 'rhel-x86_64-as-4'] gdbm-devel-1.8.0-24-i386 is selected for the transaction
D: Checking for dependencies
D: Running transaction (final step)...
########################################
D: getPackage ['gdbm-devel', '1.8.0', '24', '', 'i386', '36207', 'rhel-x86_64-as-4']
gdbm-devel-1.8.0-24.i386.rp ########################## Done.                   
D: Package ['gdbm-devel', '1.8.0', '24', '', 'i386', '36207', 'rhel-x86_64-as-4'] Fetched via: get
Preparing              ########################################### [100%]

Installing...
   1:gdbm-devel             ########################################### [100%]
[root@vmware153 ~]# rpm -q --queryformat '%{NAME}-%{VERSION} %{ARCH}\n' gdbm-devel
gdbm-devel-1.8.0 x86_64
gdbm-devel-1.8.0 i386
[root@vmware153 ~]# rpm -qf /usr/sbin/up2date
up2date-4.8.1-33.el4_8.1
[root@vmware153 ~]#

Note You need to log in before you can comment on or make changes to this bug.